PDA

View Full Version : I really need Help with OpenGL



Dude101
02-23-2005, 04:52 PM
I just purchased a laptop. It has a Northbridge Chipset 650 and South Brige Chipset 922/922L. Manufacture is Sis. I have been looking around but I can't find whether these chipset support OpenGL. I need it to run the newer games like Chronicals of Riddick Escape from Butcher Bay. It says I need a OpenGL 1.3 or higher. So somebody please help.

02-23-2005, 11:55 PM
The Sis 650 does support OpenGL but only up to version 1.2.1. The OpenGL drivers are included in the graphics drivers which you can get at www.sis.com. (http://www.sis.com.)

As far as modern games are concerned, sorry but forget it. The SiS 650 is way to slow and lacks the 3d features to play them. You should be able to play Quake3 and perhaps Call of duty (at the lowest settings) if you are lucky because Sis drivers are buggy as hell.

Integrated 3d solutions arent meant for serious gaming, there focus is cost and energy efficiency.

06-11-2005, 04:59 AM
I am having the same problem with the same game, but I'm using:
Athlon XP 3200+
2gb ram
Geforce FX 5700LE 256mb

Meets requirements, up to date drivers...
...why do I still get this opengl 1.3 error?

06-12-2005, 06:30 PM
Either the drivers aren't installed right. Maybe you had antivirus program running that prevented proper isntallation or some other program running in the background.
Or, the game has a bug.

06-13-2005, 02:05 AM
Thanks for that but I've solved it already.
The drivers I had were not WHQL certified, was using beta drivers!
Played and finished the game and I must say its very short... not alot to it. But damn good non the less.